org.apache.ignite.internal.commandline.cache.argument

## Enum ListCommandArg

- java.lang.Object
- - java.lang.Enum<ListCommandArg>
  - - org.apache.ignite.internal.commandline.cache.argument.ListCommandArg

All Implemented Interfaces:
  Serializable, Comparable<ListCommandArg>, CommandArg

    public enum ListCommandArg
    extends Enum<ListCommandArg>
    implements CommandArg

`CacheSubcommands.LIST` command arguments.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CONFIG` Config.
`GROUP` Group.
`OUTPUT_FORMAT` Output format.
`SEQUENCE` Sequence.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `argName()`
`String` `toString()`
`static ListCommandArg` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ListCommandArg[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GROUP

    public static final ListCommandArg GROUP

Group.

#### SEQUENCE

    public static final ListCommandArg SEQUENCE

Sequence.

#### OUTPUT_FORMAT

    public static final ListCommandArg OUTPUT_FORMAT

Output format.

#### CONFIG

    public static final ListCommandArg CONFIG

Config.

### Method Detail

#### values

    public static ListCommandArg[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ListCommandArg c : ListCommandArg.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ListCommandArg valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### argName

    public String argName()

Specified by:
  `argName` in interface `CommandArg`
Returns:
  Argument name.

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<ListCommandArg>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020